commit:     351ef7a365bfe575efb421d34af4cef36a13ce97
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 11 05:39:50 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 11 05:39:50 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=351ef7a3

dev-python/scikit-build: Bump to 0.17.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/scikit-build/Manifest                   |  1 +
 dev-python/scikit-build/scikit-build-0.17.4.ebuild | 58 ++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/scikit-build/Manifest b/dev-python/scikit-build/Manifest
index 6406e5ac1f1a..88cbf020caaf 100644
--- a/dev-python/scikit-build/Manifest
+++ b/dev-python/scikit-build/Manifest
@@ -6,3 +6,4 @@ DIST scikit_build-0.17.0.tar.gz 266282 BLAKE2B 
ca8d9fbb422363850b4ad12d3b8e2ad6e
 DIST scikit_build-0.17.1.tar.gz 267911 BLAKE2B 
365e7e4bcc902a00464b157feaee4efcddff3fca8c8026b252b25b44de5ed5a646c21d29df55133d6945868f346f638c5adcf9da530b1ff6bcb5689d0f33bf90
 SHA512 
617a68d92787c576f1c3fc9c24c8cc90e1fe976a853f3ae81442e1a99a20e1f4049d7ffac967c2248bf172f07a3e2092fc28b8d558b35da628a58cd3d9d16ae3
 DIST scikit_build-0.17.2.tar.gz 268269 BLAKE2B 
9ca0f860b8bdab235ae9e59ce5ca8b82320b8a2e806e787f9acdfd58ac0dd6c6e28e0a71e7c0177bf87022ecd2d73bd3783b5eaaa899f273d5b65399ef03e77e
 SHA512 
a6ff41958e336679a0996c63627ee1486c81f36fa0ace3418137421626ab068b4eca29e470cf1cc92c82c5cb3ebe45ec710fe7d098e349deb6f1d3735ed6338c
 DIST scikit_build-0.17.3.tar.gz 268932 BLAKE2B 
887751f64cc703a9d6125e87da01d327ef34416ad0ad5170d7f01dcc64318d1d2cd36fc2c302bb8c93f72964d5e2efd1d1bd67c3dc001e60ed88fb952c34ae41
 SHA512 
adb3df364551b8671f0d60c3a68825e420e6ba57e715f7da583f601dd82a228d68b326ccb457f07b26ebfb9272ea04a2cdfa2cd82d4d04ed9682ec08ee2e0584
+DIST scikit_build-0.17.4.tar.gz 269511 BLAKE2B 
90c618eab2a585e71585d039f7990ee07b0280db7e516aa4c390c15233a43e074ccfcb06c518d738ca748321966a3344a1515208a4aa3fb40442033cbcd49215
 SHA512 
5841789027e763e4448680b73704c683ca4400e3750679d8413e008de5213d56fc28ab84a1dce137171bae690bc99386844dd99a0810238e1a07d44310535d1d

diff --git a/dev-python/scikit-build/scikit-build-0.17.4.ebuild 
b/dev-python/scikit-build/scikit-build-0.17.4.ebuild
new file mode 100644
index 000000000000..a0aa5f26f381
--- /dev/null
+++ b/dev-python/scikit-build/scikit-build-0.17.4.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Improved build system generator for Python C/C++/Fortran/Cython 
extensions"
+HOMEPAGE="
+       https://github.com/scikit-build/scikit-build/
+       https://pypi.org/project/scikit-build/
+"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86"
+
+RDEPEND="
+       dev-python/distro[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       >=dev-python/setuptools-42.0.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               dev-python/tomli[${PYTHON_USEDEP}]
+       ' 3.{9..10})
+       >=dev-python/wheel-0.32.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
+       dev-python/hatch-vcs[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/build-0.7[${PYTHON_USEDEP}]
+               >=dev-python/cython-0.25.1[${PYTHON_USEDEP}]
+               >=dev-python/pytest-mock-1.10.4[${PYTHON_USEDEP}]
+               >=dev-python/pytest-virtualenv-1.2.5[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/virtualenv[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx docs \
+       dev-python/sphinx-rtd-theme \
+       dev-python/sphinx-issues
+distutils_enable_tests pytest
+
+src_prepare() {
+       # not packaged
+       sed -i -e '/cmakedomain/d' docs/conf.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       epytest -m "not isolated and not nosetuptoolsscm"
+       rm -r 
"${BUILD_DIR}/install$(python_get_sitedir)"/{easy-install.pth,*.egg,*.egg-link} 
|| die
+}

Reply via email to